No consigo hacer funcionar Virtualbox (solucionado)

Imagen de cabispaski
0 puntos

Hola.

No puedo iniciar mi virtualbox en ubuntu.

Tengo un HP Pavilion dv2 con AMD AthlonNeo 64. Actualicé desde ubuntu 11.10 a Ubuntu 12.04 Precise Pangolin sin ningún problema. Todo funcionaba correctamente, incluida la máquina virtual Virtualbox.
Al cabo del tiempo el ordenador empezó a ralentizar, así que para quitar "basurilla" pasé el encargado de limpieza y desde entonces no hay forma de iniciar la máquina virtual (virtualbox).

Lo he intentado todo.

Me dice que ejecute "sudo /etc/init.d/vboxdrv setup" pero nada. Desde ahí he intentado todo lo que he encontrado en los foros y no hay forma.
He intentado actualizar el dkms, el repositorio Kernel, linux-headers, reinstalar virtualbox, y muchas cosas más.

Hasta ahora había tenido problemas pero buscando en los foros había encontrado soluciones. Pero esta vez no me ha servido nada de todos los foros.

Pienso que el error es que al intentar instalar el paquete virtualbox amd64 me da arquitectura incorrecta. Mientras que sí me deja instalar virtualboxi386 pero esta versión, una vez instalada no me funciona.

Estoy desesperado ya que necesito la máquina con XP para ciertas cosas de mi trabajo y ya llevo dos semanas paralizado teniendo que pedir que me dejen otro laptop.

NECESITO AYUDA POR FAVOR

GRACIAS

Imagen de maminyana
+1
0
-1

Has probado a instalar la versión que se descarga de la web de Oracle en vez de utilizar el centro de sw de Ubuntu?
https://www.virtualbox.org/wiki/Linux_Downloads

+1
0
-1
Imagen de cabispaski
+1
0
-1

Sí. Eso también lo he intentado varias veces. Antes y después de recompliar los kernel. Al descargar directamente de oracle no me deja instalar la versión para amd64, sin embargo sí me deja instalar la versión i386, lo que ocurre es que después de instalar la versión i386 no me funciona.

+1
0
-1
Imagen de cabispaski
+1
0
-1

¿No se os ocurre a nadie una posible solucion?
¿No necesita nadie más información?

Necesito ayuda urgente, llevo dos semanas dedicando entre 3 y 4 horas al dia para arreglar este problema y no lo consigo. No acudiría aquí si tuviera alguna nueva idea, pero ya no me queda ninguna idea, no se qué hacer.

POR FAVOR AYUDA!

GRACIAS

+1
0
-1
Imagen de cabispaski
+1
0
-1

alguna sugerencia?

+1
0
-1
Imagen de cabispaski
+1
0
-1

/home/jorge/Escritorio/vbox2.png

+1
0
-1
Imagen de cabispaski
+1
0
-1

aquí os dejo lo último de mi terminal. Aunque por este punto ya he pasado varias veces.

jorge@jorge-desktop:~$ sudo /etc/init.d/vboxdrv setup
[sudo] password for jorge:
WARNING: All config files need .conf: /etc/modprobe.d/aliases, it will be ignored in a future release.
* Stopping VirtualBox kernel modules [ OK ]
* Uninstalling old VirtualBox DKMS kernel modules [ OK ]
* Trying to register the VirtualBox kernel modules using DKMS Error! Your kernel headers for kernel 3.0.0-12-generic cannot be found.
Please install the linux-headers-3.0.0-12-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located

* Failed, trying without DKMS
* Recompiling VirtualBox kernel modules
* Look at /var/log/vbox-install.log to find out what went wrong
jorge@jorge-desktop:~$ sudo apt-get install linux-headers-3.0.0-12-generic package
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: No se ha podido localizar el paquete linux-headers-3.0.0-12-generic
E: No se pudo encontrar ningún paquete con la expresión regular «linux-headers-3.0.0-12-generic»
E: No se ha podido localizar el paquete package
jorge@jorge-desktop:~$ sudo apt-get install linux-heaaders-3.0.0-12-generic
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: No se ha podido localizar el paquete linux-heaaders-3.0.0-12-generic
E: No se pudo encontrar ningún paquete con la expresión regular «linux-heaaders-3.0.0-12-generic»
jorge@jorge-desktop:~$ sudo apt-get install linux-headers-3.0.0-12-generic
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: No se ha podido localizar el paquete linux-headers-3.0.0-12-generic
E: No se pudo encontrar ningún paquete con la expresión regular «linux-headers-3.0.0-12-generic»
jorge@jorge-desktop:~$ sudo apt-get install linux-headers-3.0.0-12-generic
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: No se ha podido localizar el paquete linux-headers-3.0.0-12-generic
E: No se pudo encontrar ningún paquete con la expresión regular «linux-headers-3.0.0-12-generic»
jorge@jorge-desktop:~$

+1
0
-1
Imagen de maminyana
+1
0
-1

Tienes otras opciones:
1-Reinstalar el sistema operativo para corregir los problemas que tienes ahora con las librerías.
2-Pasarte a QEMU, otra solución open source para instalar la máquina virtual.
3-Pasarte a VMWare, una solución no open source, como la de Oracle.

+1
0
-1
Imagen de cabispaski
+1
0
-1

ando con ubuntu desde la versión 09.04, y no tengo cd de ubuntu. ¿puedo reparar el sistema operativo sin perder datos? no se cómo hacerlo (lo he buscado en internet pero solo he encontrado opciones para hacerlo con cd o imagen iso)

Mientras voy a intentar las otras dos opciones a ver si me funcionan y puedo recuperar el XP con todos los datos de mi trabajo que necesito.

Muchas gracias

+1
0
-1
Imagen de cabispaski
+1
0
-1

ya he instaldo QEMU. ¿como puedo iniciar el windows xp que tenía en virtualbox?

+1
0
-1
Imagen de cabispaski
+1
0
-1

siguiendo las instrucciones del blog, en el primer paso me ocurre lo de siempre:

jorge@jorge-desktop:~$ VBoxManage internalcommands converttoraw ubuntu.vdi ubuntu.raw
WARNING: The vboxdrv kernel module is not loaded. Either there is no module
available for the current kernel (3.0.0-12-generic) or it failed to
load. Please recompile the kernel module and install it by

sudo /etc/init.d/vboxdrv setup

You will not be able to start VMs until this problem is fixed.
VBoxManage: error: Only converting harddisk images is supported
jorge@jorge-desktop:~$ sudo /etc/init.d/vboxdrv setup
[sudo] password for jorge:
WARNING: All config files need .conf: /etc/modprobe.d/aliases, it will be ignored in a future release.
* Stopping VirtualBox kernel modules [ OK ]
* Uninstalling old VirtualBox DKMS kernel modules [ OK ]
* Trying to register the VirtualBox kernel modules using DKMS Error! Your kernel headers for kernel 3.0.0-12-generic cannot be found.
Please install the linux-headers-3.0.0-12-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located

* Failed, trying without DKMS
* Recompiling VirtualBox kernel modules
* Look at /var/log/vbox-install.log to find out what went wrong

¡¡¡¡¡ESTO ES DESESPERANTE!!!!

¿es posible reparar mi ubuntu para resolver este problema sin el cd?

+1
0
-1
Imagen de Goyo
+1
0
-1

WARNING: The vboxdrv kernel module is not loaded. Either there is no module
available for the current kernel (3.0.0-12-generic) or it failed to
load. Please recompile the kernel module and install it by

El kernel predeterminado en Ubuntu 12.04 es 3.2.0 y es el que deberías estar usando salvo que tengas una muy buena razón. Usando un kernel 3.0.0 vas a tener dificultades sin remedio ya que en los repositorios normales no vas a encontrar los paquetes con los módulos y cabeceras correspondientes.

+1
0
-1
Imagen de cabispaski
+1
0
-1

jorge@jorge-desktop:~$ sudo apt-get install linux-headers.3.2.0-12-generic
[sudo] password for jorge:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
W: Duplicate sources.list entry http://download.virtualbox.org/virtualbox/debian/ precise/contrib i386 Packages (/var/lib/apt/lists/download.virtualbox.org_virtualbox_debian_dists_precise_contrib_binary-i386_Packages)
W: Tal vez quiera ejecutar «apt-get update» para corregir estos problemas
E: No se ha podido localizar el paquete linux-headers.3.2.0-12-generic
E: No se pudo encontrar ningún paquete con la expresión regular «linux-headers.3.2.0-12-generic»
jorge@jorge-desktop:~$ sudo apt-get update
Ign http://extras.ubuntu.com precise InRelease
Ign http://ppa.launchpad.net precise InRelease
Ign http://es.archive.ubuntu.com precise InRelease
Ign http://security.ubuntu.com precise-security InRelease
Ign http://es.archive.ubuntu.com precise-updates InRelease
Obj http://extras.ubuntu.com precise Release.gpg
Obj http://ppa.launchpad.net precise Release.gpg
Des:1 http://es.archive.ubuntu.com precise Release.gpg [198 B]
Des:2 http://security.ubuntu.com precise-security Release.gpg [198 B]
Obj http://packages.medibuntu.org precise InRelease
Obj http://extras.ubuntu.com precise Release
Des:3 http://es.archive.ubuntu.com precise-updates Release.gpg [198 B]
Obj http://ppa.launchpad.net precise Release
Des:4 http://security.ubuntu.com precise-security Release [49,6 kB]
Des:5 http://es.archive.ubuntu.com precise Release [49,6 kB]
Obj http://extras.ubuntu.com precise/main i386 Packages
Obj http://ppa.launchpad.net precise/main Sources
Ign http://extras.ubuntu.com precise/main TranslationIndex
Obj http://packages.medibuntu.org precise/free i386 Packages
Obj http://download.virtualbox.org precise InRelease
Des:6 http://es.archive.ubuntu.com precise-updates Release [49,6 kB]
Obj http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net precise/main TranslationIndex
Des:7 http://security.ubuntu.com precise-security/main Sources [32,4 kB]
Obj http://packages.medibuntu.org precise/non-free i386 Packages
Obj http://download.virtualbox.org precise/contrib i386 Packages
Des:8 http://es.archive.ubuntu.com precise/main Sources [934 kB]
Ign http://packages.medibuntu.org precise/free TranslationIndex
Des:9 http://security.ubuntu.com precise-security/restricted Sources [14 B]
Des:10 http://security.ubuntu.com precise-security/universe Sources [7.849 B]
Ign http://download.virtualbox.org precise/contrib TranslationIndex
Ign http://packages.medibuntu.org precise/non-free TranslationIndex
Des:11 http://security.ubuntu.com precise-security/multiverse Sources [713 B]
Des:12 http://security.ubuntu.com precise-security/main i386 Packages [121 kB]
Ign http://ppa.launchpad.net precise/main Translation-es_ES
Ign http://extras.ubuntu.com precise/main Translation-es_ES
Ign http://ppa.launchpad.net precise/main Translation-es
Ign http://ppa.launchpad.net precise/main Translation-en_GB
Ign http://extras.ubuntu.com precise/main Translation-es
Ign http://ppa.launchpad.net precise/main Translation-en
Des:13 http://security.ubuntu.com precise-security/restricted i386 Packages [14 B]
Des:14 http://security.ubuntu.com precise-security/universe i386 Packages [26,8 kB]
Ign http://extras.ubuntu.com precise/main Translation-en_GB
Ign http://extras.ubuntu.com precise/main Translation-en
Des:15 http://security.ubuntu.com precise-security/multiverse i386 Packages [1.394 B]
Des:16 http://security.ubuntu.com precise-security/main TranslationIndex [73 B]
Des:17 http://security.ubuntu.com precise-security/multiverse TranslationIndex [71 B]
Des:18 http://security.ubuntu.com precise-security/restricted TranslationIndex [70 B]
Des:19 http://security.ubuntu.com precise-security/universe TranslationIndex [73 B]
Des:20 http://security.ubuntu.com precise-security/main Translation-en [59,4 kB]
Obj http://security.ubuntu.com precise-security/multiverse Translation-en
Obj http://security.ubuntu.com precise-security/restricted Translation-en
Des:21 http://security.ubuntu.com precise-security/universe Translation-en [17,5 kB]
Ign http://download.virtualbox.org precise/contrib Translation-es_ES
Ign http://download.virtualbox.org precise/contrib Translation-es
Ign http://download.virtualbox.org precise/contrib Translation-en_GB
Ign http://download.virtualbox.org precise/contrib Translation-en
Des:22 http://es.archive.ubuntu.com precise/restricted Sources [5.470 B]
Des:23 http://es.archive.ubuntu.com precise/universe Sources [5.019 kB]
Ign http://packages.medibuntu.org precise/free Translation-es_ES
Ign http://packages.medibuntu.org precise/free Translation-es
Ign http://packages.medibuntu.org precise/free Translation-en_GB
Ign http://packages.medibuntu.org precise/free Translation-en
Ign http://packages.medibuntu.org precise/non-free Translation-es_ES
Ign http://packages.medibuntu.org precise/non-free Translation-es
Ign http://packages.medibuntu.org precise/non-free Translation-en_GB
Ign http://packages.medibuntu.org precise/non-free Translation-en
Des:24 http://es.archive.ubuntu.com precise/multiverse Sources [155 kB]
Des:25 http://es.archive.ubuntu.com precise/main i386 Packages [1.274 kB]
Des:26 http://es.archive.ubuntu.com precise/restricted i386 Packages [8.431 B]
Des:27 http://es.archive.ubuntu.com precise/universe i386 Packages [4.796 kB]
Des:28 http://es.archive.ubuntu.com precise/multiverse i386 Packages [121 kB]
Obj http://es.archive.ubuntu.com precise/main TranslationIndex
Obj http://es.archive.ubuntu.com precise/multiverse TranslationIndex
Obj http://es.archive.ubuntu.com precise/restricted TranslationIndex
Obj http://es.archive.ubuntu.com precise/universe TranslationIndex
Des:29 http://es.archive.ubuntu.com precise-updates/main Sources [138 kB]
Des:30 http://es.archive.ubuntu.com precise-updates/restricted Sources [2.073 B]
Des:31 http://es.archive.ubuntu.com precise-updates/universe Sources [41,2 kB]
Des:32 http://es.archive.ubuntu.com precise-updates/multiverse Sources [1.058 B]
Des:33 http://es.archive.ubuntu.com precise-updates/main i386 Packages [338 kB]
Des:34 http://es.archive.ubuntu.com precise-updates/restricted i386 Packages [3.949 B]
Des:35 http://es.archive.ubuntu.com precise-updates/universe i386 Packages [109 kB]
Des:36 http://es.archive.ubuntu.com precise-updates/multiverse i386 Packages [2.540 B]
Des:37 http://es.archive.ubuntu.com precise-updates/main TranslationIndex [3.564 B]
Des:38 http://es.archive.ubuntu.com precise-updates/multiverse TranslationIndex [2.605 B]
Des:39 http://es.archive.ubuntu.com precise-updates/restricted TranslationIndex [2.461 B]
Des:40 http://es.archive.ubuntu.com precise-updates/universe TranslationIndex [2.850 B]
Obj http://es.archive.ubuntu.com precise/main Translation-es
Obj http://es.archive.ubuntu.com precise/main Translation-en_GB
Obj http://es.archive.ubuntu.com precise/main Translation-en
Obj http://es.archive.ubuntu.com precise/multiverse Translation-es
Obj http://es.archive.ubuntu.com precise/multiverse Translation-en_GB
Obj http://es.archive.ubuntu.com precise/multiverse Translation-en
Obj http://es.archive.ubuntu.com precise/restricted Translation-es
Obj http://es.archive.ubuntu.com precise/restricted Translation-en_GB
Obj http://es.archive.ubuntu.com precise/restricted Translation-en
Obj http://es.archive.ubuntu.com precise/universe Translation-es
Obj http://es.archive.ubuntu.com precise/universe Translation-en_GB
Obj http://es.archive.ubuntu.com precise/universe Translation-en
Obj http://es.archive.ubuntu.com precise-updates/main Translation-es
Obj http://es.archive.ubuntu.com precise-updates/main Translation-en_GB
Des:41 http://es.archive.ubuntu.com precise-updates/main Translation-en [160 kB]
Obj http://es.archive.ubuntu.com precise-updates/multiverse Translation-es
Obj http://es.archive.ubuntu.com precise-updates/multiverse Translation-en_GB
Obj http://es.archive.ubuntu.com precise-updates/multiverse Translation-en
Obj http://es.archive.ubuntu.com precise-updates/restricted Translation-es
Obj http://es.archive.ubuntu.com precise-updates/restricted Translation-en_GB
Des:42 http://es.archive.ubuntu.com precise-updates/restricted Translation-en [1.083 B]
Obj http://es.archive.ubuntu.com precise-updates/universe Translation-es
Obj http://es.archive.ubuntu.com precise-updates/universe Translation-en_GB
Des:43 http://es.archive.ubuntu.com precise-updates/universe Translation-en [65,4 kB]
Descargados 13,6 MB en 31seg. (430 kB/s)
Leyendo lista de paquetes... Hecho
W: Duplicate sources.list entry http://download.virtualbox.org/virtualbox/debian/ precise/contrib i386 Packages (/var/lib/apt/lists/download.virtualbox.org_virtualbox_debian_dists_precise_contrib_binary-i386_Packages)
W: Tal vez quiera ejecutar «apt-get update» para corregir estos problemas

"además he añadido la entrada que me indica en la sources.list correspondiente pero sigo con el fallo"

+1
0
-1
Imagen de Goyo
+1
0
-1

jorge@jorge-desktop:~$ sudo apt-get install linux-headers.3.2.0-12-generic

¿Cómo has inventado ese nombre de paquete? Normalmente basta instalar linux-headers-generic. De todos modos según tu mensaje inicial ya debes tener las cabeceras más actualizadas, el problema parece ser que estás usando un núcleo antiguo.

"además he añadido la entrada que me indica en la sources.list correspondiente pero sigo con el fallo"

No veo que tengas que añadir ninguna entrada. Al contrario, tienes duplicada la entrada correspondiente al repositorio de virtualbox.

+1
0
-1
Imagen de cabispaski
+1
0
-1

el nombre de ese paquete viene de una recomendación de arriba en este foro. La verdad es que lo que se de ubuntu es por práctica, desde luego no soy profesional , más bien me considero novato, así que el único método que tengo es el de consulta-prueba-error/acierto. Navego por los foros buscando soluciones y si tras intensa búsqueda no encuentro solución solo me queda preguntar.

si el problema es por usar núcleo antiguo, ¿qué puedo hacer?

Gracias

+1
0
-1
Imagen de Goyo
+1
0
-1

En un terminal:
uname -r
Te confirmará qué versión del kernel estás usando.

En la ventana de grub deberían aparecer todas las versiones del kernel instaladas para que puedas elegir con cuál arrancar.

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

el nombre de ese paquete viene de una recomendación de arriba en este foro.

Estas buscando un paquete que no existe, el kernel 3.2.0-12-generic NO existe en precise, más bien el kernel que te sugiere (o los headers) pertenecen a los kernel que había en Ubuntu 11.10 y virtualbox te pide los headers del kernel 3.0.0-12-generic

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de maminyana
+1
0
-1

Antes de nada puedes probar a reinstalar los paquetes mal configurados con estos comandos:
sudo dpkg --configure -a
sudo apt-get update
sudo apt-get upgrade

Si esto no sirve, yo reinstalaría el sistema. Si prefieres repararlo, puedes intentarlo también, he mirado un vídeo de cómo hacerlo.

Primero haz una copia de seguridad de /home en un disco externo. Esto deberíamos hacerlo todos de forma regular, ya que los discos duros se rompen, y tener una copia te salva de muchos dolores de cabeza. Lo digo por experiencia propia.

Para reparar: échale un vistazo a este video que explica como usar el CD para recuperar un sistema dañado.
http://www.youtube.com/watch?v=oqesrVhdPQM

Y si sigue sin funcionar, o crees que esto no va a servir, pues nada, crea una instalación desde cero. Te costará unas horas, pero no creo que más de las que llevas ya dándole vueltas. Luego tendrás que restaurar los archivos de /home desde el disco externo.

+1
0
-1
Imagen de cabispaski
+1
0
-1

Lo de reinstalar los paquetes lo habia probado y siguiendo tú consejo lo he vuelto a probar. El error sigue siendo exáctamente el mismo. Así que sigo sin conseguir que la VM funcione.

Siguiendo tús instrucciones haré una copia de mis datos en un disco externo y reinstalaré el sistema. Como siempre supongo que al reinstalar el sistema tendré algún problemilla solucionable con el sonido, así que lo haré este fin de semana. Ya te diré el resultado.

Muchas gracias

+1
0
-1
Imagen de rioport
+1
0
-1

¿Hace cuanto que no actualizas?
Para actualizar la lista de paquetes:

sudo apt-get update

Y luego actualiza los paquetes linux-image-generic-pae y linux-headers-generic-pae
Lo que sucede es que no tienes instalados los headers para el kernel que usas, y cuando lo intentas instalar no lo encuentra porque la versión (3.0.0-12) que tienes ya no está soportada ahora es 3.2.0.27.29.
Y luego reinicia con el nuevo kernel y pruebas.

¿2 semanas y no te has dado cuenta?

+1
0
-1

-- GC --

Imagen de cabispaski
+1
0
-1

actualizzar los paquetes pae no funcionó en su momento, eso ya lo hice.
lo he vuelto a intentar y nada.

+1
0
-1
Imagen de cabispaski
+1
0
-1

Has acertado, soy un usuario común. No soy informático pero me encanta aprender y desde que me instalé ubuntu en 2009 estoy encantado con este sistema operativo. No sé, ni entiendo demasiado, pero te aseguro que le dedico bastantes horas, así que gracias a los tutoriales y a los foros seguiré aprendiendo.

En 3 años es la primera vez que yo creo un foro-pregunta porque no encuentro solución, no soy de esos que enseguida preguntan sin antes habérselo currado.

Gracias por los aportes.

+1
0
-1
Imagen de rioport
+1
0
-1

"Usuario común" es mi firma y no es parte del mensaje y mucho menos va dirigido hacia ti (por si te lo tomaste a mal).
Dices que ya actualizaste y no funcionó, pues no tengo bola de cristal ¿qué fue lo que no funcionó? ¿No funcionó la actualización o la compilación del módulo en el nuevo kernel? Y si no funcionó la actualización ¿cual fue el error?.

Y mira, tú tienes instalado un kernel para el cual ya no hay soporte, supongo que migraste a ubuntu 12.04 cuando aún estaba en fase alpha o beta, y además no tienes instalado sus headers, entonces el problema es que para compilar los módulos de VirtualBox necesitas de los header sí o sí y a menos que los encuentres tu problema va a seguir igual, por lo tanto lo que te queda es instalar un kernel reciente junto con sus headers e intentar ahí el compilar los módulos de VirtualBox.

+1
0
-1

-- GC --

Imagen de cabispaski
+1
0
-1

con los headers me sale el error posteado arriba en idem.

+1
0
-1
Imagen de MagoDeOz85
+1
+1
-1

Seguramente, el "encargado de limpieza" te ha borrado algún archivo de configuración que no debería. Yo haría lo siguiente:

- Guardar una copia del directorio de configuración de Virtualbox de tu HOME. Dentro estará el archivo vhd, con el que luego puedes recuperar tu Windows XP.

- Después borraría todo rastro de VIrtualBox de tu sistema, incluidos los ficheros de configuración de tu HOME (Recuerda hacer la copia de seguridad que te indico en el paso anterior).

- Luego reinstala de nuevo Virtualbox, te recomiendo que añadas los repositorios de Oracle e instales esa versión y no la del centro del software, pues es mas fácil de configurar.

- Y ya para acabar, inicia virtualbox y crea una nueva maquina virtual de Windows XP. En el paso donde te pide elegir el disco duro, utiliza el fichero vhd que guardaste en el primer paso.

De esta forma, tendrás de nuevo tu Windows XP virtualizado como antes.

¡Suerte!

+1
+1
-1

*****************************************************************

¡Libresfera, la revista libre!

*****************************************************************

Imagen de cabispaski
+1
0
-1

jejejejeje, sí. Estoy seguro que fué el encargado de limpieza.

Tú aportación la intento esta noche y te digo el resultado.

Gracias

+1
0
-1
Imagen de guman
+1
0
-1

has borrado las carpetas creadas por virtual box en tu home?,
si no lo hiciste ,haslo pero primero remueve el virtualbox ,luego las carpetas, si puedes restablece tu sistema a las configuraciones de fabrica, cosa que asi tendras de donde empezar con buen pie....

+1
0
-1

Como son las cosas, me encantaba Gnome....ahora lo odio!!!
Y como antes no me gustaba Xfce , no entiendo por que ahora lo adoro!!!

Imagen de rioport
+1
0
-1

Esto:

WARNING: The vboxdrv kernel module is not loaded. Either there is no module
available for the current kernel (3.0.0-12-generic)

Error! Your kernel headers for kernel 3.0.0-12-generic cannot be found.
Please install the linux-headers-3.0.0-12-generic package

No se soluciona instalando una versión distinta de VirtualBox ni reinstalando VirtualBox.

+1
0
-1

-- GC --

Imagen de Gabriel_M
+1
0
-1

Se soluciona simplemente instalando linux-headers-3.0.0-12-generic o en su defecto, instalando un kernel inferior o superior que tenga disponibles sus linux-headers, para que mediante dkms el módulo de vbox se puede incorporar y poner en funcionamiento.

+1
0
-1
Imagen de cabispaski
+1
0
-1

arriba en "idem" me está lo que me sale cada vez que intento instalar cualquier versión de headers

+1
0
-1
Imagen de Gabriel_M
+1
0
-1

No es:

sudo su
apt-get install linux-headers.3.2.0-12-generic

Sino que seria

sudo su
apt-get install linux-headers-3.2.0-12-generic

Despues de headers va guión no punto

Igualmente te sugiero instales synaptic
sudo su
apt-get install synaptic

Y desde synaptic busques el que corresponde al kernel image en uso.

+1
0
-1
Imagen de cabispaski
+1
0
-1

jorge@jorge-desktop:~$ sudo apt-get install linux-headers-3.2.0-12-generic
[sudo] password for jorge:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
W: Duplicate sources.list entry http://download.virtualbox.org/virtualbox/debian/ precise/contrib i386 Packages (/var/lib/apt/lists/download.virtualbox.org_virtualbox_debian_dists_precise_contrib_binary-i386_Packages)
W: Tal vez quiera ejecutar «apt-get update» para corregir estos problemas
E: No se ha podido localizar el paquete linux-headers-3.2.0-12-generic
E: No se pudo encontrar ningún paquete con la expresión regular «linux-headers-3.2.0-12-generic»

"si ejecuto apt-get update volvemos al mismo punto, igual que antes; en cuanto a synaptic está instalado en mi ordenador y tengo instalados un montón de kernel, he probado uno a uno deurante estas semanas pasadas por si teniéndolos todos causaba conflicto pero tampoco me soluciona el problema"

+1
0
-1
Imagen de rioport
+1
0
-1

Eres muy duro para entender.

Ahora tienes otro problema; una entrada duplicada en tu sources.list ¿Quién te recomendó la versión de Oracle?.

Ejecuta la siguiente:

sudo apt-get install linux-image-3.2.0-27-generic-pae
sudo apt-get install linux-headers-3.2.0-27-generic-pae

y de paso, ya que te ayudará:

sudo apt-get install synaptic

Y reinicia con el nuevo kernel (3.2.0-27)

+1
0
-1

-- GC --

Imagen de cabispaski
+1
0
-1

jorge@jorge-desktop:~$ sudo apt-get install linux-image-3.2.0-27-generic-pae
[sudo] password for jorge:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
El paquete indicado a continuación se instaló de forma automática y ya no es necesarios.
kbuild
Utilice «apt-get autoremove» para eliminarlos.
Paquetes sugeridos:
fdutils linux-doc-3.2.0 linux-source-3.2.0 linux-tools
Se instalarán los siguientes paquetes NUEVOS:
linux-image-3.2.0-27-generic-pae
0 actualizados, 1 se instalarán, 0 para eliminar y 16 no actualizados.
Necesito descargar 38,2 MB de archivos.
Se utilizarán 113 MB de espacio de disco adicional después de esta operación.
Des:1 http://es.archive.ubuntu.com/ubuntu/ precise-updates/main linux-image-3.2.0-27-generic-pae i386 3.2.0-27.43 [38,2 MB]
Descargados 38,2 MB en 1min. 4seg. (588 kB/s)
dpkg: aviso: analizando archivo «/var/lib/dpkg/available» cerca de la línea 64014 paquete «virtualbox-3.0»:
error en la cadena `Version' `3.0.14-58977_Ubuntu_karmic': carácter inválido en el número de revisión
dpkg: aviso: analizando archivo «/var/lib/dpkg/available» cerca de la línea 66298 paquete «virtualbox-2.2»:
error en la cadena `Version' `2.2.0-45846_Ubuntu_intrepid': carácter inválido en el número de revisión
Seleccionando paquete linux-image-3.2.0-27-generic-pae previamente no seleccionado
(Leyendo la base de datos ... 298206 ficheros o directorios instalados actualmente.)
Desempaquetando linux-image-3.2.0-27-generic-pae (de .../linux-image-3.2.0-27-generic-pae_3.2.0-27.43_i386.deb) ...
Done.
Configurando linux-image-3.2.0-27-generic-pae (3.2.0-27.43) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-27-generic-pae /boot/vmlinuz-3.2.0-27-generic-pae
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-27-generic-pae /boot/vmlinuz-3.2.0-27-generic-pae
update-initramfs: Generating /boot/initrd.img-3.2.0-27-generic-pae
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-27-generic-pae /boot/vmlinuz-3.2.0-27-generic-pae
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-27-generic-pae /boot/vmlinuz-3.2.0-27-generic-pae
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-27-generic-pae /boot/vmlinuz-3.2.0-27-generic-pae
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-3.2.0-27-generic-pae
Found kernel: /boot/vmlinuz-3.2.0-27-generic
Found kernel: /boot/vmlinuz-3.2.0-26-generic
Found kernel: /boot/vmlinuz-3.2.0-24-generic
Found kernel: /boot/vmlinuz-3.0.0-12-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

W: Duplicate sources.list entry http://download.virtualbox.org/virtualbox/debian/ precise/contrib i386 Packages (/var/lib/apt/lists/download.virtualbox.org_virtualbox_debian_dists_precise_contrib_binary-i386_Packages)
W: Tal vez quiera ejecutar «apt-get update» para corregir estos problemas
jorge@jorge-desktop:~$ sudo apt-get install linux-headers-3.2.0-27-generic-pae
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
linux-headers-3.2.0-27-generic-pae ya está en su versión más reciente.
El paquete indicado a continuación se instaló de forma automática y ya no es necesarios.
kbuild
Utilice «apt-get autoremove» para eliminarlos.
0 actualizados, 0 se instalarán, 0 para eliminar y 16 no actualizados.

jorge@jorge-desktop:~$ sudo apt-get install synaptic
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
synaptic ya está en su versión más reciente.
El paquete indicado a continuación se instaló de forma automática y ya no es necesarios.
kbuild
Utilice «apt-get autoremove» para eliminarlos.
0 actualizados, 0 se instalarán, 0 para eliminar y 16 no actualizados.

LA MAQUINA SIGUE SIN FUNCIONAR, GRACIAS POR LA AYUDA, SIGO INTENTANDO.

+1
0
-1
Imagen de cabispaski
+1
0
-1

jorge@jorge-desktop:~$ sudo /etc/init.d/vboxdrv setup
[sudo] password for jorge:
WARNING: All config files need .conf: /etc/modprobe.d/aliases, it will be ignored in a future release.
* Stopping VirtualBox kernel modules [ OK ]
* Uninstalling old VirtualBox DKMS kernel modules [ OK ]
* Trying to register the VirtualBox kernel modules using DKMS Error! Your kernel headers for kernel 3.0.0-12-generic cannot be found.
Please install the linux-headers-3.0.0-12-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located

* Failed, trying without DKMS
* Recompiling VirtualBox kernel modules
* Look at /var/log/vbox-install.log to find out what went wrong

+1
0
-1
Imagen de rioport
+1
0
-1

Eso te pasa porque no has reiniciado la PC, al reiniciarla selecciona el kernel 3.2.0-27, ahí en el GRUB lo buscas, y presionas ENTER.

Ahora sigues haciendo lo mismo que antes, porque aunque ya tienes un nuevo kernel no has iniciado con él. ¿Lees todo lo que se te escribe?.

+1
0
-1

-- GC --

Imagen de cabispaski
+1
0
-1

sí había reiniciado el ordenador, por supuesto. Lo que no entiendo es lo de buscarlo en el GRUB. He seguido las intrucciones, he reiniciado el Pc y luego he intentado encender la VM con ese resultado
Sí leo y contesto todo lo que me explicáis y muy agradecido. Otra cosa es que no lo entiendo todo.

+1
0
-1
Imagen de rioport
+1
0
-1

Que tienes en el archivo /boot/grub/menu.lst, en una terminal ejecuta esto:

cat /boot/grub/menu.lst

Porque, por los logs que muestras, se deduce que usas GRUB 1.

La pantalla que GRUB muestra al reiniciar la PC es parecida a ésta imágen:
http://blackflash.com.ar/wp-content/uploads/2007/11/grub1.jpg
Ahí es donde debes seleccionar la versión 3.2.0-27. Porque mientras sigas iniciando con la versión 3.0.0-12 no solucionaras nada.

+1
0
-1

-- GC --

Imagen de cabispaski
+1
0
-1

Esto es lo que me sale en la terminal al ejecutar "cat /booto/grub/menu.lst"; ¿cómo encuentro y selecciono la versión 3.2.0-27?

(al reiniciar el pc no me sale nada parecido a la imagen)

# menu.lst - See: grub(8), info grub, update-grub(8)
# grub-install(8), grub-floppy(8),
# grub-md5-crypt, /usr/share/doc/grub
# and /usr/share/doc/grub-doc/.

## default num
# Set the default entry to the entry number NUM. Numbering starts from 0, and
# the entry number 0 is the default if the command is not used.
#
# You can specify 'saved' instead of a number. In this case, the default entry
# is the entry saved with the command 'savedefault'.
# WARNING: If you are using dmraid do not use 'savedefault' or your
# array will desync and will not let you boot your system.
default 0

## timeout sec
# Set a timeout, in SEC seconds, before automatically booting the default entry
# (normally the first entry defined).
timeout 3

## hiddenmenu
# Hides the menu by default (press ESC to see the menu)
hiddenmenu

# Pretty colours
#color cyan/blue white/blue

## password ['--md5'] passwd
# If used in the first section of a menu file, disable all interactive editing
# control (menu entry editor and command-line) and entries protected by the
# command 'lock'
# e.g. password topsecret
# password --md5 $1$gLhU0/$aW78kHK1QfV3P2b2znUoe/
# password topsecret

#
# examples
#
# title Windows 95/98/NT/2000
# root (hd0,0)
# makeactive
# chainloader +1
#
# title Linux
# root (hd0,1)
# kernel /vmlinuz root=/dev/hda2 ro
#

#
# Put static boot stanzas before and/or after AUTOMAGIC KERNEL LIST

### BEGIN AUTOMAGIC KERNELS LIST
## lines between the AUTOMAGIC KERNELS LIST markers will be modified
## by the debian update-grub script except for the default options below

## DO NOT UNCOMMENT THEM, Just edit them to your needs

## ## Start Default Options ##
## default kernel options
## default kernel options for automagic boot options
## If you want special options for specific kernels use kopt_x_y_z
## where x.y.z is kernel version. Minor versions can be omitted.
## e.g. kopt=root=/dev/hda1 ro
## kopt_2_6_8=root=/dev/hdc1 ro
## kopt_2_6_8_2_686=root=/dev/hdc2 ro
# kopt=root=UUID=4192a841-aa15-4746-897f-075f87450be2 ro

## default grub root device
## e.g. groot=(hd0,0)
# groot=4192a841-aa15-4746-897f-075f87450be2

## should update-grub create alternative automagic boot options
## e.g. alternative=true
## alternative=false
# alternative=true

## should update-grub lock alternative automagic boot options
## e.g. lockalternative=true
## lockalternative=false
# lockalternative=false

## additional options to use with the default boot option, but not with the
## alternatives
## e.g. defoptions=vga=791 resume=/dev/hda5
# defoptions=quiet splash

## should update-grub lock old automagic boot options
## e.g. lockold=false
## lockold=true
# lockold=false

## Xen hypervisor options to use with the default Xen boot option
# xenhopt=

## Xen Linux kernel options to use with the default Xen boot option
# xenkopt=console=tty0

## altoption boot targets option
## multiple altoptions lines are allowed
## e.g. altoptions=(extra menu suffix) extra boot options
## altoptions=(recovery) single
# altoptions=(recovery mode) single

## controls how many kernels should be put into the menu.lst
## only counts the first occurence of a kernel, not the
## alternative kernel options
## e.g. howmany=all
## howmany=7
# howmany=all

## specify if running in Xen domU or have grub detect automatically
## update-grub will ignore non-xen kernels when running in domU and vice versa
## e.g. indomU=detect
## indomU=true
## indomU=false
# indomU=detect

## should update-grub create memtest86 boot option
## e.g. memtest86=true
## memtest86=false
# memtest86=true

## should update-grub adjust the value of the default booted system
## can be true or false
# updatedefaultentry=false

## should update-grub add savedefault to the default options
## can be true or false
# savedefault=false

## ## End Default Options ##

title Ubuntu 11.10, kernel 3.0.0-12-generic
uuid 4192a841-aa15-4746-897f-075f87450be2
kernel /boot/vmlinuz-3.0.0-12-generic root=UUID=4192a841-aa15-4746-897f-075f87450be2 ro quiet splash
initrd /boot/initrd.img-3.0.0-12-generic
quiet

title Ubuntu 11.10, kernel 3.0.0-12-generic (recovery mode)
uuid 4192a841-aa15-4746-897f-075f87450be2
kernel /boot/vmlinuz-3.0.0-12-generic root=UUID=4192a841-aa15-4746-897f-075f87450be2 ro single
initrd /boot/initrd.img-3.0.0-12-generic

title Ubuntu 11.10, kernel 2.6.39-0-generic
uuid 4192a841-aa15-4746-897f-075f87450be2
kernel /boot/vmlinuz-2.6.39-0-generic root=UUID=4192a841-aa15-4746-897f-075f87450be2 ro quiet splash
initrd /boot/initrd.img-2.6.39-0-generic
quiet

title Ubuntu 11.10, kernel 2.6.39-0-generic (recovery mode)
uuid 4192a841-aa15-4746-897f-075f87450be2
kernel /boot/vmlinuz-2.6.39-0-generic root=UUID=4192a841-aa15-4746-897f-075f87450be2 ro single
initrd /boot/initrd.img-2.6.39-0-generic

title Ubuntu 11.10, memtest86+
uuid 4192a841-aa15-4746-897f-075f87450be2
kernel /boot/memtest86+.bin
quiet

### END DEBIAN AUTOMAGIC KERNELS LIST

+1
0
-1
Imagen de Gabriel_M
+1
0
-1

Escribes:
......Actualicé desde ubuntu 11.10 a Ubuntu 12.04 Precise Pangolin sin ningún problema
.....DKMS Error! Your kernel headers for kernel 3.0.0-12-generic cannot be found.
.....sudo apt-get update ... Ign http://extras.ubuntu.com precise InRelease
.....al ejecutar "cat /booto/grub/menu.lst"; ... title Ubuntu 11.10, kernel 3.0.0-12-generic ...

Tanto Ubuntu 11.10 como 12.04 usan el Grub2, cuyo archivo de configuraciòn es /boot/grub/grub.cfg
Estimo que deberìas cambiar el Grub legacy, que tienes instalado por el Grub2.

En el Grub legacy tienes como kernels los de Ubuntu 11.10, cuando, teòricamente, estas usando Ubuntu 12.04

Lo expuesto es incompatible con un sistema Gnu/Linux funcionante.
Mi sugerencia:
Pon a salvo tus archivos y reinstala de cero, en al menos tres particiones, y para el futuro ten mucho cuidado con lo que haces en el sistema si lo quieres mantener funcionante.

+1
0
-1
Imagen de rioport
+1
0
-1

Prueba instalando el paquete grub-pc y a ver si ya te reconoce el nuevo kernel o añade tú mismo la entrada al kernel en el archivo /boot/grub/menu.lst (¿Cómo? aquí encuentras como). Tienes otro error que hace mención a VirtualBox de la versión Karmic e Intrepid, quizá se deba a que instalaste varias versiones de VirtualBox cuando tu problema son los headers de tu kernel y también una entrada duplicada del repositorio de VirtualBox ... etc.

+1
0
-1

-- GC --

Imagen de cabispaski
+1
0
-1

TRAS INSTALAR EL PAQUETE GRUB PC Y REINICIAR, ME HA RECONOCIDO EL NUEVO KERNEL ASÍ AL EJECUTAR /ETC/INIT.D/VBOXDRV SETUP HE OBTENIDO UN PRECIOSO:

jorge@jorge-desktop:~$ sudo /etc/init.d/vboxdrv setup
[sudo] password for jorge:
WARNING: All config files need .conf: /etc/modprobe.d/aliases, it will be ignored in a future release.
* Stopping VirtualBox kernel modules [ OK ]
* Uninstalling old VirtualBox DKMS kernel modules [ OK ]
* Trying to register the VirtualBox kernel modules using DKMS [ OK ]
* Starting VirtualBox kernel modules [ OK ]
jorge@jorge-desktop:~$

YA ME FUNCIONA LA MÁQUINA VIRTUAL POR SUPUESTO CON EL XP Y TODOS LOS DATOS DEL CURRO QUE NECESITABA.

OS ESTOY INMENSAMENTE AGRADECIDO A TODOS Y A "RIOPORT" EN ESPECIAL POR LA PACIENCIA Y LOS APORTES.

+1
0
-1
Imagen de cabispaski
+1
0
-1

Bueno, dado que parece que sí tengo un desastre y con el método prueba-error solo he conseguido que liar más las cosas. Así que si siguiendo cvuestros consejos consiguiera arreglar el tema de los headers, seguiría teniendo un desastre que acabaría petando por algún lado. Así pues, voy a seguir vuestro consejo de reinstalar desde 0. Supongo que me llevará un buen rato, así que en cuanto pueda dedicar una mañana o una tarde entera, salvaré mis datos y reinstalaré desde cero.

Estoy muuuuuuuy agradecido por todos los aportes y seguiré posteando lo que hago hasta que solucione el error.

GRACIAS A TOD@S.

+1
0
-1
Imagen de cabispaski
+1
0
-1

como está el el comentario anterior, el tema del virtualbox ya está arreglado. En cualquier caso supongo que igualmente sería recomendable hacer una buena limpieza salvando los datos y reiniciando desde cero, porque cada día esto me va más lento y como no soy ningún experto cada vez que toco algo voy dejando archivos inútiles por el camino.

MIL GRACIAS COMUNIDAD UBUNTU.

PD: ni la mejor asistencia de apple o windows es comparable con vuestra ayuda.
SALUDOS

+1
0
-1